1. 16 Apr, 2020 2 commits
  2. 15 Apr, 2020 1 commit
  3. 28 Mar, 2020 1 commit
  4. 26 Mar, 2020 1 commit
  5. 25 Mar, 2020 1 commit
    • Ralf Habacker's avatar
      Fix bug not building apidoc and qch file by default, if enabled · d6af4953
      Ralf Habacker authored
      For easier troubleshooting, a status line is now displayed if
      qhelpgenerator was found.
      
      A new cmake option BUILD_APIDOC has been added (default:on), which
      can be used to disable the creation of api doc if this is not desired.
      
      BUG:419202
      FIXED-IN:2.30.90 (KDE releases 20.03.90)
      d6af4953
  6. 15 Mar, 2020 1 commit
  7. 12 Mar, 2020 2 commits
  8. 29 Feb, 2020 1 commit
  9. 06 Feb, 2020 1 commit
  10. 02 Feb, 2020 1 commit
  11. 05 Jan, 2020 2 commits
  12. 04 Jan, 2020 3 commits
  13. 10 Dec, 2019 1 commit
  14. 05 Dec, 2019 1 commit
  15. 26 Nov, 2019 1 commit
  16. 10 Nov, 2019 2 commits
  17. 08 Nov, 2019 1 commit
  18. 01 Nov, 2019 1 commit
  19. 06 Oct, 2019 1 commit
  20. 02 Sep, 2019 1 commit
    • Ralf Habacker's avatar
      Fix build with cmake < 3.7 · efafb440
      Ralf Habacker authored
      `GREATER_EQUAL` was introduced in cmake 3.7, but the specified minimum version is 2.8.11.
      So use `NOT LESS` instead to still support older cmake versions too.
      
      Test Plan:
      Builds fine with cmake 3.5.2 now, and also newer versions (haven't tried older versions).
      
      Before, I got this error when building umbrello master or 19.08.0 with cmake 3.5.2:
      ```
      CMake Error at CMakeLists.txt:12 (if):
        if given arguments:
      
          "KDE_APPLICATIONS_VERSION_MICRO" "GREATER_EQUAL" "70"
      
        Unknown arguments specified
      ```
      
      Patch provided by: #wbauer
      Reviewed By: #habacker
      Differential Revision: https://phabricator.kde.org/D23635
      efafb440
  21. 01 Sep, 2019 1 commit
  22. 09 Aug, 2019 1 commit
  23. 02 Aug, 2019 2 commits
  24. 30 Jul, 2019 1 commit
  25. 29 Jul, 2019 1 commit
  26. 18 Jul, 2019 1 commit
    • Ralf Habacker's avatar
      Fix Kf5 build · 3d0421c6
      Ralf Habacker authored
      Unfortunately the creation of Umbrello/KF5 with PHP support could not be
      tested because the current kdevplatform development packages do not contain
      the required KDev::Tests component.
      
      CCBUG:409951
      CCMAIL:aacid@kde.org
      3d0421c6
  27. 16 Jul, 2019 4 commits
  28. 15 Jul, 2019 2 commits
  29. 31 May, 2019 1 commit